using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Enums
{
    /// <summary>
    /// 团组流程
    /// </summary>
    public enum GrpSchedulePrimaryStepEnum
    {
        /// <summary>
        /// 未开始/等待任务分配 I
        /// </summary>
        [Description("团组出行")]
        Wait = 0,

        /// <summary>
        /// 确认出团/任务分配完成 I
        /// </summary>
        [Description("确认出团")]
        Confirm = 1,

        #region 经费预算
        /// <summary>
        /// 经费预算 I
        /// </summary>
        [Description("经费预算")]
        Budget = 2,
        /// <summary>
        /// 经费预算自定义子流程 II
        /// </summary>
        BudgetChild01 = 201,
        /// <summary>
        /// 经费预算子流程：完成经费预算 II
        /// </summary>
        [Description("完成经费预算")]
        BudgetChild02 = 202,
        #endregion

        #region 市场部人员对接反馈
        /// <summary>
        /// 市场部人员对接反馈 I
        /// </summary>
        [Description("市场部人员对接反馈")]
        Feedback = 3,
        /// <summary>
        /// 市场部人员对接反馈自定义子流程 II
        /// </summary>
        FeedbackChild01 = 301,
        /// <summary>
        /// 上传明细单 II
        /// </summary>
        [Description("上传明细单")]
        FeedbackChild02 = 302,
        /// <summary>
        /// 录入最终总经费预算 II
        /// </summary>
        [Description("录入最终总经费预算")]
        FeedbackChild03 = 303,
        /// <summary>
        /// 完成报价对接/反馈 II
        /// </summary>
        [Description("完成报价对接/反馈")]
        FeedbackChild04 = 304,
        #endregion

        /// <summary>
        /// 报批流程 I
        /// </summary>
        [Description("报批流程")]
        Puote = 4,

        #region 护照签证

        /// <summary>
        /// 护照签证 I
        /// </summary>
        [Description("护照签证")]
        Visa = 5,
        /// <summary>
        /// 护照签证自定义子流程 II
        /// </summary>
        VisaChild01 = 501,
        /// <summary>
        /// 收集资料 II
        /// </summary>
        [Description("收集资料")]
        VisaChild02 = 502,
        /// <summary>
        /// 取护照资料 II
        /// </summary>
        [Description("取护照资料")]
        VisaChild03 = 503,
        /// <summary>
        /// 填资料 II
        /// </summary>
        [Description("填资料")]
        VisaChild04 = 504,
        /// <summary>
        /// 送签 II
        /// </summary>
        [Description("送签")]
        VisaChild05 = 505,
        /// <summary>
        /// 出签+取护照 II
        /// </summary>
        [Description("出签+取护照")]
        VisaChild06 = 506,
        /// <summary>
        /// 归还护照 II
        /// </summary>
        [Description("归还护照")]
        VisaChild07 = 507,
        /// <summary>
        /// 签证费用录入 II
        /// </summary>
        [Description("签证费用录入")]
        VisaChild08 = 508,

        #endregion

        #region 业务操作

        /// <summary>
        /// 业务流程 I
        /// </summary>
        [Description("业务操作")]
        Business = 6,
        #region 机票
        /// <summary>
        /// 业务流程-机票 II
        /// </summary>
        [Description("业务流程-机票")]
        BusinessJP = 601,
        /// <summary>
        /// 业务流程-机票-自定义子流程 III
        /// </summary>
        [Description("业务流程-机票-自定义子流程")]
        BusinessJPChild01 = 6011,
        /// <summary>
        /// 业务流程-机票-询价并导入黑屏代码 III
        /// </summary>
        [Description("询价并导入黑屏代码")]
        BusinessJPChild02 = 6012,
        /// <summary>
        /// 业务流程-机票-机票已占位 III
        /// </summary>
        [Description("机票已占位")]
        BusinessJPChild03 = 6013,
        /// <summary>
        /// 业务流程-机票-已出票 III
        /// </summary>
        [Description("已出票")]
        BusinessJPChild04 = 6014,
        /// <summary>
        /// 业务流程-机票-机票费用录入 III
        /// </summary>
        [Description("机票费用录入")]
        BusinessJPChild05 = 6015,
        #endregion
        #region 酒店
        /// <summary>
        /// 业务流程-酒店 II
        /// </summary>
        [Description("业务流程-酒店")]
        BusinessJD = 602,
        /// <summary>
        /// 业务流程-酒店-自定义子流程 III
        /// </summary>
        [Description("业务流程-酒店-自定义子流程")]
        BusinessJDChild01 = 6021,
        /// <summary>
        /// 业务流程-酒店-酒店费用录入 III
        /// </summary>
        [Description("酒店费用录入")]
        BusinessJDChild02 = 6022,

        #endregion
        #region OP
        /// <summary>
        /// 业务流程-OP II
        /// </summary>
        [Description("业务流程-OP")]
        BusinessOP = 603,
        /// <summary>
        /// 业务流程-OP-自定义子流程 III
        /// </summary>
        [Description("业务流程-OP-自定义子流程")]
        BusinessOPChild01 = 6031,
        /// <summary>
        /// 业务流程-OP-OP询价 III
        /// </summary>
        [Description("OP询价")]
        BusinessOPChild02 = 6032,
        /// <summary>
        /// 业务流程-OP-OP费用录入 III
        /// </summary>
        [Description("OP费用录入")]
        BusinessOPChild03 = 6033,
        #endregion
        #region 商邀
        /// <summary>
        /// 业务流程-商邀 II
        /// </summary>
        [Description("业务流程-商邀")]
        BusinessSY = 604,
        /// <summary>
        /// 业务流程-商邀-自定义子流程 III
        /// </summary>
        [Description("业务流程-商邀-自定义子流程")]
        BusinessSYChild01 = 6041,
        /// <summary>
        /// 业务流程-商邀-商邀报批 III
        /// </summary>
        [Description("商邀报批")]
        BusinessSYChild02 = 6042,
        /// <summary>
        /// 业务流程-商邀-商邀费用录入 III
        /// </summary>
        [Description("报批/商邀费用录入")]
        BusinessSYChild03 = 6043,
        #endregion
        #region 其他
        /// <summary>
        /// 业务流程-其他 II
        /// </summary>
        [Description("业务流程-其他")]
        BusinessQT = 605,
        /// <summary>
        /// 业务流程-商邀-自定义子流程 III
        /// </summary>
        [Description("业务流程-其他-自定义子流程")]
        BusinessQTChild01 = 6051,
        #endregion

        #endregion

        #region 费用审批

        /// <summary>
        /// 费用审批 I
        /// </summary>
        [Description("费用审批")]
        CostAudit = 7,
        /// <summary>
        /// /费用审批自定义子流程 II
        /// </summary>
        CostAuditChild01 = 701,
        /// <summary>
        /// 费用审批-机票费用审批 II
        /// </summary>
        [Description("机票费用审批")]
        CostAuditChild02 = 702,
        /// <summary>
        /// 费用审批-酒店费用审批 II
        /// </summary>
        [Description("酒店费用审批")]
        CostAuditChild03 = 703,
        /// <summary>
        /// 费用审批-OP费用审批 II
        /// </summary>
        [Description("OP费用审批")]
        CostAuditChild04 = 704,
        /// <summary>
        /// 费用审批-商邀费用审批 II
        /// </summary>
        [Description("商邀费用审批")]
        CostAuditChild05 = 705,
        /// <summary>
        /// 费用审批-增减款项审批 II
        /// </summary>
        [Description("增减款项审批")]
        CostAuditChild06 = 706,

        #endregion

        #region 付款给供应商

        /// <summary>
        /// 付款给供应商 I
        /// </summary>
        [Description("付款给供应商")]
        Pay = 8,
        /// <summary>
        /// 付款给供应商-自定义子流程 II
        /// </summary>
        PayChild01 = 801,
        /// <summary>
        /// 付款给供应商-OP费用付款 II
        /// </summary>
        [Description("OP费用付款")]
        PayChild02 = 802,
        /// <summary>
        /// 付款给供应商-商邀费用付款 II
        /// </summary>
        [Description("商邀费用付款")]
        PayChild03 = 803,
        /// <summary>
        /// 付款给供应商-增减款项付款 II
        /// </summary>
        [Description("增减款项付款")]
        PayChild04 = 804,
        #endregion

        /// <summary>
        /// 出行事项会议 I
        /// </summary>
        [Description("出行事项会议")]
        Training = 9,

        /// <summary>
        /// 送机 I
        /// </summary>
        [Description("送机")]
        DropOff = 10,

        /// <summary>
        /// 接机 I
        /// </summary>
        [Description("接机")]
        PickUp = 11,

        #region 已收款项

        /// <summary>
        /// 收款 I
        /// </summary>
        [Description("收款")]
        Collect = 12,
        /// <summary>
        /// 收款 I
        /// </summary>
        [Description("收款完成")]
        CollectChild01 = 1201,
        #endregion

        /// <summary>
        /// 团组完成 I 
        /// </summary>
        [Description("团组完成")]
        Finish = 13,

        /// <summary>
        /// 团组取消 I
        /// </summary>
        [Description("团组取消")]
        Cancel = 14,
    }
}
